Package ru.bitel.bgbilling.modules.buyemoney.server.bean

# Class BuyemoneyPayment

java.lang.Object
ru.bitel.bgbilling.modules.buyemoney.server.bean.BuyemoneyPayment

    public class BuyemoneyPayment
    extends java.lang.Object

Платёж покупки валюты. Соответствует таблице buyemoney_payment_$mid.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BuyemoneyPayment()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getChargeId()` |
  `int` | `getCid()` |
  `java.lang.String` | `getComment()` |
  `java.lang.String` | `getContractComment()` |
  `java.lang.String` | `getContractTitle()` |
  `java.util.Date` | `getDate()` |
  `int` | `getId()` |
  `java.lang.String` | `getPurse()` |
  `CurrencyRate` | `getRate()` |
  `int` | `getRateId()` |
  `ru.bitel.bgbilling.modules.buyemoney.common.BuyemoneyStatus` | `getStatus()` |
  `ru.bitel.common.util.BGMoney` | `getSumcur()` |
  `ru.bitel.common.util.BGMoney` | `getSumtotal()` |
  `void` | `setChargeId​(int chargeId)` |
  `void` | `setCid​(int cid)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setContractComment​(java.lang.String contractComment)` |
  `void` | `setContractTitle​(java.lang.String contractTitle)` |
  `void` | `setDate​(java.util.Date date)` |
  `void` | `setId​(int id)` |
  `void` | `setPurse​(java.lang.String purse)` |
  `void` | `setRate​(CurrencyRate rate)` |
  `void` | `setRateId​(int rateId)` |
  `void` | `setStatus​(ru.bitel.bgbilling.modules.buyemoney.common.BuyemoneyStatus status)` |
  `void` | `setSumcur​(ru.bitel.common.util.BGMoney sumcur)` |
  `void` | `setSumtotal​(ru.bitel.common.util.BGMoney sumtotal)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BuyemoneyPayment

    public BuyemoneyPayment()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getCid

    public int getCid()

  - ### setCid

    public void setCid​(int cid)

  - ### getDate

    public java.util.Date getDate()

  - ### setDate

    public void setDate​(java.util.Date date)

  - ### getRateId

    public int getRateId()

  - ### setRateId

    public void setRateId​(int rateId)

  - ### getSumcur

    public ru.bitel.common.util.BGMoney getSumcur()

  - ### setSumcur

    public void setSumcur​(ru.bitel.common.util.BGMoney sumcur)

  - ### getSumtotal

    public ru.bitel.common.util.BGMoney getSumtotal()

  - ### setSumtotal

    public void setSumtotal​(ru.bitel.common.util.BGMoney sumtotal)

  - ### getChargeId

    public int getChargeId()

  - ### setChargeId

    public void setChargeId​(int chargeId)

  - ### getContractTitle

    public java.lang.String getContractTitle()

  - ### setContractTitle

    public void setContractTitle​(java.lang.String contractTitle)

  - ### getContractComment

    public java.lang.String getContractComment()

  - ### setContractComment

    public void setContractComment​(java.lang.String contractComment)

  - ### getStatus

    public ru.bitel.bgbilling.modules.buyemoney.common.BuyemoneyStatus getStatus()

  - ### setStatus

    public void setStatus​(ru.bitel.bgbilling.modules.buyemoney.common.BuyemoneyStatus status)

  - ### getRate

    public CurrencyRate getRate()

  - ### setRate

    public void setRate​(CurrencyRate rate)

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getComment

    public java.lang.String getComment()

  - ### setPurse

    public void setPurse​(java.lang.String purse)

  - ### getPurse

    public java.lang.String getPurse()